using Engine.Graphics.Buffer.Vertex;
using OpenTK.Graphics.OpenGL;
using OpenTK.Mathematics;

namespace Engine.Graphics.Render.Mesh;

public struct MeshInstanceVertex : IVertex
{
  [Vertex(VertexAttribType.Int)] public int _textureId;
  [Vertex(VertexAttribType.Float, 4, 4)] public Matrix4 _modelMatrix;

  public override int GetHashCode()
  {
    return HashCode.Combine(_textureId, _modelMatrix);
  }
}